Robots
List robot workspaces
Get a paginated list of reusable Robot workspace templates.
GET
/robots/workspacesGet a paginated list of reusable Robot workspace templates.
storyden-session<token>
In: cookie
Query Parameters
page?string
Pagination query parameters.
Response Body
application/json
application/json
curl -X GET "https://example.com/robots/workspaces"{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "workspaces": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "provider": "local", "config": {}, "allow_untrusted_commands": true, "meta": {}, "created_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ]}